Results 1 to 7 of 7

Thread: Problems Running Compiz Fusion on Radeon Mobility 9000

  1. #1
    jgehrig NNTP User

    Default Problems Running Compiz Fusion on Radeon Mobility 9000


    I am having problems configuring Compiz Fusion on my Dell D600. I have
    installed compiz and attempted to install the ATI driver, but it seems
    to have issues with my laptop's graphics card chipset. I have tried
    using the Open-Source driver (R250 or something), but this does not work
    either. When I use the open source driver with 3d acceleration enabled,
    compiz claims it is running, but does nothing.

    seems to be an XGL problem because my chipset is listed as poorly
    supported.

    Is there anything I can do, I would really like to run compiz on my
    laptop.


    --
    jgehrig
    ------------------------------------------------------------------------
    jgehrig's Profile: http://forums.opensuse.org/member.php?userid=16684
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


  2. #2
    caf4926 NNTP User

    Default Re: Problems Running Compiz Fusion on Radeon Mobility 9000


    'HCL/ATI Video Cards - openSUSE'
    (http://en.opensuse.org/HCL/ATI_Video..._Mobility_9600)

    couldn't see 9000
    check the howto as well


    --
    Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.81) "1.1" | M2N4-SLI
    | AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
    Lap: OS 11.0 | Celeron 550 | (KDE 4.1.81 "release 1.1" | Intel 965 GM |
    Lenovo R61e | 1GB RAM
    ------------------------------------------------------------------------
    caf4926's Profile: http://forums.opensuse.org/member.php?userid=204
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


  3. #3
    jgehrig NNTP User

    Default Re: Problems Running Compiz Fusion on Radeon Mobility 9000


    I tried the how to on Novels website. I have used the one click
    installed the ATI driver from the oneclick install and manually, it
    doesn't seem to work. According to ATI's website,
    "http://ati.amd.com/online/rss/atilinuxdriver.rss?OTC-rssfeedlinux" It
    seems they dropped support for my chipset. The oldest card there is a
    MRadeon 9600. And the OpenSuse XGL site lists my hardware as
    "Problematic"
    Problematic Hardware


    Code:
    --------------------

    Hardware with known glitches or incompatibilities:

    * ATI
    o Mobility Radeon M6 LY (7000), Mobility Radeon M9 (9000) and Mobility Radeon M9+ (9200)
    Drawing artifacts and occasional flickering.
    o Radeon 9200
    No hardware acceleration using fglrx 8.22.5 driver
    o Radeon XPRESS 200M 5955 (PCIE), Driver: "fglrx_pci", XGL works but the 2D/3D files will not work propely(2D/3D games,full screen videos, etc.)
    o Some older Radeon chipsets have been shown to work with very reduced performance with the open source drivers on SLED10
    * Intel
    o i855GM
    Works, but effects are overall very slow.
    o i815, i845
    Too old, Xgl works, but compiz will not work. Maybe a compatibility layer will be added later.

    --------------------


    --http://en.opensuse.org/Xgl

    I also tried installing the latest version of XGL, this didn't seem to
    help and actually caused my display to freeze. So I reconfigured,
    disabled XGL and am now using the open source RV250 Lf open source
    driver, but this doesn't seem to work.

    Any ideas?

    Thanks for the help -- John


    --
    jgehrig
    ------------------------------------------------------------------------
    jgehrig's Profile: http://forums.opensuse.org/member.php?userid=16684
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


  4. #4
    jgehrig NNTP User

    Default Re: Problems Running Compiz Fusion on Radeon Mobility 9000


    Does anyone have any information?

    anything?


    --
    jgehrig
    ------------------------------------------------------------------------
    jgehrig's Profile: http://forums.opensuse.org/member.php?userid=16684
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


  5. #5
    caf4926 NNTP User

    Default Re: Problems Running Compiz Fusion on Radeon Mobility 9000


    I don't know what oneclicks you have installed but they may need
    removing or at least the repo's they will have added.

    See if you have this repo
    'Index of /repositories/X11:/XOrg/openSUSE_11.0'
    (http://download.opensuse.org/reposit...openSUSE_11.0/)

    if not - add it and then update the packages in it via software
    management, filter by repo


    --
    Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.82) "3.1" | M2N4-SLI
    | AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
    Lap: OS 11.0 | Celeron 550 | (KDE 4.1.82 "release 3.1" | Intel 965 GM |
    Lenovo R61e | 1GB RAM
    ------------------------------------------------------------------------
    caf4926's Profile: http://forums.opensuse.org/member.php?userid=204
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


  6. #6
    jgehrig NNTP User

    Default Re: Problems Running Compiz Fusion on Radeon Mobility 9000


    Here is a list of my repos:
    * Reading repository 'openSUSE BuildService - X11: XGL' cache
    * Reading repository 'Main Repository (OSS)' cache
    * Reading repository 'VideoLan Repository' cache
    * Reading repository 'Main Update Repository' cache
    * Reading repository 'openSUSE-10.3-OSS-KDE 10.3' cache
    * Reading repository 'openSUSE BuildService - KDE:Backports' cache
    * Reading repository 'openSUSE BuildService - Wine CVS Builds' cache
    * Reading repository 'Packman Repository' cache
    * Reading repository 'ATI Repository' cache
    * Reading repository 'openSUSE BuildService - OpenOffice.org' cache
    * Reading repository 'Main Repository (NON-OSS)' cache

    I attempted to install the ATI driver via onelcick and from zypper.
    Both failed and have been completely removed. Compiz was also installed
    from Oneclick and XGL was updated but when enabled causes the screen to
    stop updating, unless i switched between init levels.


    --
    jgehrig
    ------------------------------------------------------------------------
    jgehrig's Profile: http://forums.opensuse.org/member.php?userid=16684
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


  7. #7
    caf4926 NNTP User

    Default Re: Problems Running Compiz Fusion on Radeon Mobility 9000


    I suspect that compiz is going to cause issues, especially running the
    full blown compiz from the XGL repo.
    The repo I gave you earlier will update the Xorg packages and may
    improve performance of your chipset.

    Personally, I use kde4 unstable beta 4.2 and just have the kwin window
    manager with the kde4 desktop effects. It's not quite like the 'bells
    and whistles' of compiz true, but it performs brilliantly on my 2
    machines.


    --
    Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.82) "3.1" | M2N4-SLI
    | AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
    Lap: OS 11.0 | Celeron 550 | (KDE 4.1.82 "release 3.1" | Intel 965 GM |
    Lenovo R61e | 1GB RAM
    ------------------------------------------------------------------------
    caf4926's Profile: http://forums.opensuse.org/member.php?userid=204
    View this thread: http://forums.opensuse.org/showthread.php?t=401269


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •